# $Revision: 1.14 $, $Date: 2004/05/07 01:09:21 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Inline
%define		pnam	Befunge
Summary:	Inline::Befunge Perl module
Summary(cs):	Modul Inline::Befunge pro Perl
Summary(da):	Perlmodul Inline::Befunge
Summary(de):	Inline::Befunge Perl Modul
Summary(es):	Mdulo de Perl Inline::Befunge
Summary(fr):	Module Perl Inline::Befunge
Summary(it):	Modulo di Perl Inline::Befunge
Summary(ja):	Inline::Befunge Perl ⥸塼
Summary(ko):	Inline::Befunge  
Summary(nb):	Perlmodul Inline::Befunge
Summary(pl):	Modu Perla Inline::Befunge
Summary(pt):	Mdulo de Perl Inline::Befunge
Summary(pt_BR):	Mdulo Perl Inline::Befunge
Summary(ru):	  Perl Inline::Befunge
Summary(sv):	Inline::Befunge Perlmodul
Summary(uk):	  Perl Inline::Befunge
Summary(zh_CN):	Inline::Befunge Perl ģ
Name:		perl-Inline-Befunge
Version:	0.04
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	55f6720ea86102a1f987105fcbff183d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Inline >= 0.43
BuildRequires:	perl-Language-Befunge >= 0.36
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Inline::Befunge - write Perl subs in Befunge.

%description -l pl
Modu Inline::Befunge - pozwalajcy na pisanie procedur Perla w jzyku
Befunge.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Inline/Befunge.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Inline-Befunge.spec,v $
Revision 1.14  2004/05/07 01:09:21  ankry
- rel. 3

Revision 1.13  2004/05/06 18:09:43  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/22 12:52:35  ankry
- license fixes & unification

Revision 1.11  2004/04/20 23:30:13  ankry
- ported to new bconds

Revision 1.10  2004/02/18 15:51:29  qboosh
- s/no/nb/ in Summary langs

Revision 1.9  2003/08/18 08:08:53  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:44  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:42  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:37:25  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:40:13  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:34:30  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 22:17:09  ankry
- added tests and translations

Revision 1.1  2002/07/14 14:16:57  qboosh
- new
